<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="chaoran.business">
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="com.symbol.emdk.permission.EMDK"/>
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="com.honeywell.decode.permission.DECODE" />
    <uses-permission android:name="android.permission.STOP_SERVICE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    
    <uses-feature android:name="android.hardware.camera" android:required="false" />
    <uses-feature android:name="android.hardware.camera.autofocus" android:required="false" />

    <application
            android:allowBackup="true"
            android:icon="@drawable/ic_launcher"
            android:label="@string/app_name"
            android:supportsRtl="true"
            android:fitsSystemWindows="true"
            android:name=".application.InitApplication"
            android:theme="@style/Theme.PdaWeb"
            android:usesCleartextTraffic="true"
        >
        <uses-library android:name="com.symbol.emdk" android:required="false"/>
        <activity
                android:name=".activity.NetworkSettingActivity"
                android:label="@string/title_activity_setting_network" />
        <activity
                android:name=".activity.VoiceSettingActivity"
                android:label="@string/title_activity_setting_voice" />
        <activity
                android:name=".activity.FileTestActivity"
                android:label="@string/title_activity_file_test" />
        <activity
                android:name=".activity.MainActivity"
                android:configChanges="orientation|screenSize"
                android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <service android:name=".service.ScanServiceEDA50P" android:exported="true">
            <intent-filter>
                <action android:name="com.example.chaoran.ScanServiceEDA50P"/>
            </intent-filter>
        </service>
        <service android:name=".service.ScanServiceZEBRA">
            <intent-filter>
                <action android:name="com.example.chaoran.ScanServiceZEBRA"/>
            </intent-filter>
        </service>
        
        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>